Subject: Re: [PATCH] powerpc: tiny memcpy_(to|from)io optimisation

From: Wolfram Sang <[email-masked]>
Date: Thu, 11 Jun 2009 19:07:30 +0200

On Wed, May 27, 2009 at 10:00:41PM +0200, Albrecht Dreß wrote:
> This trivial patch changes memcpy_(to|from)io as to transfer as many  
> 32-bit words as possible in 32-bit accesses (in the current solution,  
> the last 32-bit word was transferred as 4 byte accesses).
>
> Signed-off-by: Albrecht Dreß <[email-masked]>

Besides the discussion about optimizing the loop, what about the patch itself?
Looks plausible to me...

-- 
Pengutronix e.K.                           | Wolfram Sang                |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |